Index: trunk/NEMO/OPA_SRC/SBC/sbc_ice.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/sbc_ice.F90	(revision 1465)
+++ trunk/NEMO/OPA_SRC/SBC/sbc_ice.F90	(revision 1466)
@@ -24,10 +24,10 @@
    LOGICAL         , PUBLIC, PARAMETER ::   lk_lim2        = .TRUE.    !: LIM-2 ice model
    LOGICAL         , PUBLIC, PARAMETER ::   lk_lim3        = .FALSE.   !: no LIM-3
-   CHARACTER(len=1), PUBLIC            ::   cice_grid      = 'B'       !: 'B'-grid ice-velocity
+   CHARACTER(len=1), PUBLIC            ::   cigr_type      = 'B'       !: 'B'-grid ice-velocity
 # endif
 # if defined  key_lim3
    LOGICAL         , PUBLIC, PARAMETER ::   lk_lim2        = .FALSE.   !: no LIM-2
    LOGICAL         , PUBLIC, PARAMETER ::   lk_lim3        = .TRUE.    !: LIM-3 ice model
-   CHARACTER(len=1), PUBLIC            ::   cice_grid      = 'C'       !: 'C'-grid ice-velocity
+   CHARACTER(len=1), PUBLIC            ::   cigr_type      = 'C'       !: 'C'-grid ice-velocity
 # endif
 
@@ -57,5 +57,5 @@
    LOGICAL         , PUBLIC, PARAMETER ::   lk_lim2        = .FALSE.  !: no LIM-2 ice model
    LOGICAL         , PUBLIC, PARAMETER ::   lk_lim3        = .FALSE.  !: no LIM-3 ice model
-   CHARACTER(len=1), PUBLIC            ::   cice_grid      = '-'      !: no grid ice-velocity
+   CHARACTER(len=1), PUBLIC            ::   cigr_type      = '-'      !: no grid ice-velocity
 
 #endif
Index: trunk/NEMO/OPA_SRC/SBC/sbccpl.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 1465)
+++ trunk/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 1466)
@@ -645,5 +645,5 @@
       !! ** Method  :   transform the received stress from the atmosphere into
       !!             an atmosphere-ice stress in the (i,j) ocean referencial
-      !!             and at the velocity point of the sea-ice model (cice_grid):
+      !!             and at the velocity point of the sea-ice model (cigr_type):
       !!                'C'-grid : i- (j-) components given at U- (V-) point 
       !!                'B'-grid : both components given at I-point 
@@ -660,5 +660,5 @@
       !!                 first  as  2 components on the sphere 
       !!                 second as  2 components oriented along the local grid
-      !!                 third  as  2 components on the cice_grid point 
+      !!                 third  as  2 components on the cigr_type point 
       !!
       !!                In 'oce and ice' case, only one vector stress field 
@@ -668,5 +668,5 @@
       !!             transformation is done and only if the ice-grid is a 'B'-grid. 
       !!
-      !! ** Action  :   return ptau_i, ptau_j, the stress over the ice at cice_grid point
+      !! ** Action  :   return ptau_i, ptau_j, the stress over the ice at cigr_type point
       !!----------------------------------------------------------------------
       REAL(wp), INTENT(out), DIMENSION(jpi,jpj) ::   p_taui   ! i- & j-components of atmos-ice stress [N/m2]
@@ -730,5 +730,5 @@
          !    
          !                                                  j+1   j     -----V---F
-         ! ice stress on ice velocity point (cice_grid)                  !       |
+         ! ice stress on ice velocity point (cigr_type)                  !       |
          ! (C-grid ==>(U,V) or B-grid ==> I)                      j      |   T   U
          !                                                               |       |
@@ -737,5 +737,5 @@
          !                                                              i-1  i   i
          !                                                               i      i+1 (for I)
-         SELECT CASE ( cice_grid )
+         SELECT CASE ( cigr_type )
             !
          CASE( 'B' )                                         ! B-grid ==> I
@@ -1046,5 +1046,5 @@
             END DO
          CASE( 'weighted oce and ice' )   
-            IF( cice_grid == 'C' ) THEN      ! 'C'-grid ice velocity
+            IF( cigr_type == 'C' ) THEN      ! 'C'-grid ice velocity
                DO jj = 2, jpjm1
                   DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -1069,5 +1069,5 @@
             CALL lbc_lnk( zitx1, 'T', -1. )   ;   CALL lbc_lnk( zity1, 'T', -1. )
          CASE( 'mixed oce-ice'        )
-            IF( cice_grid == 'C' ) THEN      ! 'C'-grid ice velocity
+            IF( cigr_type == 'C' ) THEN      ! 'C'-grid ice velocity
                DO jj = 2, jpjm1
                   DO ji = fs_2, fs_jpim1   ! vector opt.