Index: trunk/NEMO/OPA_SRC/SBC/sbccpl.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 1467)
+++ trunk/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 1468)
@@ -848,7 +848,8 @@
    
 
-   SUBROUTINE sbc_cpl_ice_flx( p_frld  , palbi   , psst     , pist    ,   &
+   SUBROUTINE sbc_cpl_ice_flx( p_frld  ,                                  &
       &                        pqns_tot, pqns_ice, pqsr_tot , pqsr_ice,   &
-      &                        pemp_tot, pemp_ice, pdqns_ice, psprecip )
+      &                        pemp_tot, pemp_ice, pdqns_ice, psprecip,   &
+      &                        palbi   , psst    , pist                 )
       !!----------------------------------------------------------------------
       !!             ***  ROUTINE sbc_cpl_ice_flx_rcv  ***
@@ -895,7 +896,4 @@
       !!----------------------------------------------------------------------
       REAL(wp), INTENT(in   ), DIMENSION(jpi,jpj,jpl) ::   p_frld     ! lead fraction                [0 to 1]
-      REAL(wp), INTENT(in   ), DIMENSION(jpi,jpj,jpl) ::   palbi      ! ice albedo
-      REAL(wp), INTENT(in   ), DIMENSION(jpi,jpj    ) ::   psst       ! sea surface temperature      [Celcius]
-      REAL(wp), INTENT(in   ), DIMENSION(jpi,jpj,jpl) ::   pist       ! ice surface temperature      [Kelvin]
       REAL(wp), INTENT(  out), DIMENSION(jpi,jpj    ) ::   pqns_tot   ! total non solar heat flux    [W/m2]
       REAL(wp), INTENT(  out), DIMENSION(jpi,jpj,jpl) ::   pqns_ice   ! ice   non solar heat flux    [W/m2]
@@ -906,4 +904,8 @@
       REAL(wp), INTENT(  out), DIMENSION(jpi,jpj    ) ::   psprecip   ! Net solid precipitation (=emp_ice) [Kg/m2/s]
       REAL(wp), INTENT(  out), DIMENSION(jpi,jpj,jpl) ::   pdqns_ice  ! d(Q non solar)/d(Temperature) over ice
+      ! optional arguments, used only in 'mixed oce-ice' case
+      REAL(wp), INTENT(in   ), DIMENSION(jpi,jpj,jpl), OPTIONAL ::   palbi   ! ice albedo 
+      REAL(wp), INTENT(in   ), DIMENSION(jpi,jpj    ), OPTIONAL ::   psst    ! sea surface temperature     [Celcius]
+      REAL(wp), INTENT(in   ), DIMENSION(jpi,jpj,jpl), OPTIONAL ::   pist    ! ice surface temperature     [Kelvin]
      !!
       INTEGER ::   ji, jj           ! dummy loop indices
@@ -1220,11 +1222,9 @@
    END SUBROUTINE sbc_cpl_ice_tau
    !
-   SUBROUTINE sbc_cpl_ice_flx( p_frld  , palbi   , psst     , pist    ,   &
+   SUBROUTINE sbc_cpl_ice_flx( p_frld  ,                                  &
       &                        pqns_tot, pqns_ice, pqsr_tot , pqsr_ice,   &
-      &                        pemp_tot, pemp_ice, pdqns_ice, psprecip )
+      &                        pemp_tot, pemp_ice, pdqns_ice, psprecip,   &
+      &                        palbi   , psst    , pist                )
       REAL(wp), INTENT(in   ), DIMENSION(:,:,:) ::   p_frld     ! lead fraction                [0 to 1]
-      REAL(wp), INTENT(in   ), DIMENSION(:,:,:) ::   palbi      ! ice albedo
-      REAL(wp), INTENT(in   ), DIMENSION(:,:  ) ::   psst       ! sea surface temperature      [Celcius]
-      REAL(wp), INTENT(in   ), DIMENSION(:,:,:) ::   pist       ! ice surface temperature      [Kelvin]
       REAL(wp), INTENT(  out), DIMENSION(:,:  ) ::   pqns_tot   ! total non solar heat flux    [W/m2]
       REAL(wp), INTENT(  out), DIMENSION(:,:,:) ::   pqns_ice   ! ice   non solar heat flux    [W/m2]
@@ -1235,5 +1235,8 @@
       REAL(wp), INTENT(  out), DIMENSION(:,:,:) ::   pdqns_ice  ! d(Q non solar)/d(Temperature) over ice
       REAL(wp), INTENT(  out), DIMENSION(:,:  ) ::   psprecip   ! solid precipitation          [Kg/m2/s]
-      WRITE(*,*) 'sbc_cpl_snd: You should not have seen this print! error?', p_frld(1,1,1), palbi(1,1,1), psst(1,1), pist(1,1,1)
+      REAL(wp), INTENT(in   ), DIMENSION(:,:,:), OPTIONAL ::   palbi   ! ice albedo
+      REAL(wp), INTENT(in   ), DIMENSION(:,:  ), OPTIONAL ::   psst    ! sea surface temperature      [Celcius]
+      REAL(wp), INTENT(in   ), DIMENSION(:,:,:), OPTIONAL ::   pist    ! ice surface temperature      [Kelvin]
+      WRITE(*,*) 'sbc_cpl_snd: You should not have seen this print! error?', p_frld(1,1,1)
       ! stupid definition to avoid warning message when compiling...
       pqns_tot(:,:) = 0. ; pqns_ice(:,:,:) = 0. ; pdqns_ice(:,:,:) = 0.
Index: trunk/NEMO/OPA_SRC/SBC/sbcice_lim_2.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/sbcice_lim_2.F90	(revision 1467)
+++ trunk/NEMO/OPA_SRC/SBC/sbcice_lim_2.F90	(revision 1468)
@@ -184,7 +184,9 @@
          ENDIF
 #if defined key_coupled
-         IF( ksbc == 5    )             CALL sbc_cpl_ice_flx( frld   , zalb_ice_cs , sst_m   , sist   ,   &
-      &                                                       qns_tot, qns_ice     , qsr_tot , qsr_ice,   &
-      &                                                       emp_tot, emp_ice     , dqns_ice, sprecip )
+         IF( ksbc == 5    )             CALL sbc_cpl_ice_flx( frld   ,                               &
+      &                                                       qns_tot, qns_ice, qsr_tot , qsr_ice,   &
+      &                                                       emp_tot, emp_ice, dqns_ice, sprecip,   &
+      !                                      optional arguments, used only in 'mixed oce-ice' case
+      &                                                       palbi = zalb_ice_cs, psst = sst_m, pist = sist )
 #endif
                                         CALL lim_thd_2      ( kt )      ! Ice thermodynamics 