Index: trunk/NEMO/OPA_SRC/SBC/sbcice_lim_2.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/sbcice_lim_2.F90	(revision 1468)
+++ trunk/NEMO/OPA_SRC/SBC/sbcice_lim_2.F90	(revision 1469)
@@ -127,6 +127,6 @@
 
          ! ... Sea-ice surface boundary conditions output from bulk formulae :
-         !     - utaui_ice  ! surface ice stress i-component (I-point)   [N/m2]
-         !     - vtaui_ice  ! surface ice stress j-component (I-point)   [N/m2]
+         !     - utau_ice   ! surface ice stress i-component (I-point)   [N/m2]
+         !     - vtau_ice   ! surface ice stress j-component (I-point)   [N/m2]
          !     - qns_ice    ! non solar heat flux over ice   (T-point)   [W/m2]
          !     - qsr_ice    !     solar heat flux over ice   (T-point)   [W/m2]
@@ -141,28 +141,28 @@
          SELECT CASE( ksbc )
          CASE( 3 )           ! CLIO bulk formulation
-            CALL blk_ice_clio( zsist, zalb_ice_cs, zalb_ice_os ,                        &
-               &                      utaui_ice  , vtaui_ice   , qns_ice  , qsr_ice,    &
-               &                      qla_ice    , dqns_ice    , dqla_ice ,             &
-               &                      tprecip    , sprecip     ,                        &
-               &                      fr1_i0     , fr2_i0      , cl_grid, jpl  )
+            CALL blk_ice_clio( zsist, zalb_ice_cs, zalb_ice_os,                         &
+               &                      utau_ice   , vtau_ice   , qns_ice    , qsr_ice,   &
+               &                      qla_ice    , dqns_ice   , dqla_ice   ,            &
+               &                      tprecip    , sprecip    ,                         &
+               &                      fr1_i0     , fr2_i0     , cl_grid    , jpl  )
 
          CASE( 4 )           ! CORE bulk formulation
-            CALL blk_ice_core( zsist, ui_ice    , vi_ice     , zalb_ice_cs,            &
-               &                      utaui_ice , vtaui_ice  , qns_ice   , qsr_ice,   &
-               &                      qla_ice   , dqns_ice   , dqla_ice  ,            &
-               &                      tprecip   , sprecip    ,                        &
-               &                      fr1_i0    , fr2_i0     , cl_grid, jpl  )
+            CALL blk_ice_core( zsist, ui_ice     , vi_ice     , zalb_ice_cs,            &
+               &                      utau_ice   , vtau_ice   , qns_ice    , qsr_ice,   &
+               &                      qla_ice    , dqns_ice   , dqla_ice   ,            &
+               &                      tprecip    , sprecip    ,                         &
+               &                      fr1_i0     , fr2_i0     , cl_grid    , jpl  )
          CASE( 5 )           ! Coupled formulation : atmosphere-ice stress only (fluxes provided after ice dynamics)
-            CALL sbc_cpl_ice_tau( utaui_ice , vtaui_ice )
+            CALL sbc_cpl_ice_tau( utau_ice , vtau_ice )
          END SELECT
 
          IF(ln_ctl) THEN         ! print mean trends (used for debugging)
             CALL prt_ctl_info( 'Ice Forcings ' )
-            CALL prt_ctl( tab2d_1=tprecip  ,clinfo1=' sbc_ice_lim: precip   : ', tab2d_2=sprecip  , clinfo2=' Snow     : ' )
-            CALL prt_ctl( tab2d_1=utaui_ice,clinfo1=' sbc_ice_lim: utaui_ice: ', tab2d_2=vtaui_ice, clinfo2=' vtaui_ice: ' )
-            CALL prt_ctl( tab2d_1=sst_m    ,clinfo1=' sbc_ice_lim: sst      : ', tab2d_2=sss_m    , clinfo2=' sss      : ' )
-            CALL prt_ctl( tab2d_1=ui_oce   ,clinfo1=' sbc_ice_lim: u_io     : ', tab2d_2=vi_oce   , clinfo2=' v_io     : ' )
-            CALL prt_ctl( tab2d_1=hsnif    ,clinfo1=' sbc_ice_lim: hsnif  1 : ', tab2d_2=hicif    , clinfo2=' hicif    : ' )
-            CALL prt_ctl( tab2d_1=frld     ,clinfo1=' sbc_ice_lim: frld   1 : ', tab2d_2=sist     , clinfo2=' sist     : ' )
+            CALL prt_ctl( tab2d_1=tprecip ,clinfo1=' sbc_ice_lim: precip  : ', tab2d_2=sprecip , clinfo2=' Snow    : ' )
+            CALL prt_ctl( tab2d_1=utau_ice,clinfo1=' sbc_ice_lim: utau_ice: ', tab2d_2=vtau_ice, clinfo2=' vtau_ice: ' )
+            CALL prt_ctl( tab2d_1=sst_m   ,clinfo1=' sbc_ice_lim: sst     : ', tab2d_2=sss_m   , clinfo2=' sss     : ' )
+            CALL prt_ctl( tab2d_1=ui_oce  ,clinfo1=' sbc_ice_lim: u_io    : ', tab2d_2=vi_oce  , clinfo2=' v_io    : ' )
+            CALL prt_ctl( tab2d_1=hsnif   ,clinfo1=' sbc_ice_lim: hsnif  1: ', tab2d_2=hicif   , clinfo2=' hicif   : ' )
+            CALL prt_ctl( tab2d_1=frld    ,clinfo1=' sbc_ice_lim: frld   1: ', tab2d_2=sist    , clinfo2=' sist    : ' )
          ENDIF
 