Index: trunk/NEMO/OPA_SRC/SBC/sbccpl.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 1470)
+++ trunk/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 1472)
@@ -1094,8 +1094,8 @@
                DO jj = 2, jpjm1
                   DO ji = fs_2, fs_jpim1   ! vector opt.
-                     zotx1(ji,jj) = 0.5 * ( un      (ji,jj,1) + un      (ji-1,jj  ,1) ) * zfr_l(ji,jj)  
-                     zoty1(ji,jj) = 0.5 * ( vn      (ji,jj,1) + vn      (ji  ,jj-1,1) ) * zfr_l(ji,jj)
-                     zitx1(ji,jj) = 0.5 * ( utau_ice(ji,jj  ) + utau_ice(ji-1,jj    ) ) *  fr_i(ji,jj)
-                     zity1(ji,jj) = 0.5 * ( vtau_ice(ji,jj  ) + vtau_ice(ji  ,jj-1  ) ) *  fr_i(ji,jj)
+                     zotx1(ji,jj) = 0.5 * ( un   (ji,jj,1) + un   (ji-1,jj  ,1) ) * zfr_l(ji,jj)  
+                     zoty1(ji,jj) = 0.5 * ( vn   (ji,jj,1) + vn   (ji  ,jj-1,1) ) * zfr_l(ji,jj)
+                     zitx1(ji,jj) = 0.5 * ( u_ice(ji,jj  ) + u_ice(ji-1,jj    ) ) *  fr_i(ji,jj)
+                     zity1(ji,jj) = 0.5 * ( v_ice(ji,jj  ) + v_ice(ji  ,jj-1  ) ) *  fr_i(ji,jj)
                   END DO
                END DO
@@ -1103,10 +1103,10 @@
                DO jj = 2, jpjm1
                   DO ji = fs_2, fs_jpim1   ! vector opt.
-                     zotx1(ji,jj) = 0.5  * ( un(ji,jj,1)         + un(ji-1,jj-1,1)   ) * zfr_l(ji,jj)  
-                     zoty1(ji,jj) = 0.5  * ( vn(ji,jj,1)         + vn(ji  ,jj-1,1)   ) * zfr_l(ji,jj)  
-                     zitx1(ji,jj) = 0.25 * ( utau_ice(ji+1,jj+1) + utau_ice(ji,jj+1)   &
-                        &                  + utau_ice(ji+1,jj  ) + utau_ice(ji,jj  ) ) * fr_i(ji,jj)
-                     zity1(ji,jj) = 0.25 * ( vtau_ice(ji+1,jj+1) + vtau_ice(ji,jj+1)   &
-                        &                  + vtau_ice(ji+1,jj  ) + vtau_ice(ji,jj  ) ) * fr_i(ji,jj)
+                     zotx1(ji,jj) = 0.5  * ( un(ji,jj,1)      + un(ji-1,jj-1,1) ) * zfr_l(ji,jj)  
+                     zoty1(ji,jj) = 0.5  * ( vn(ji,jj,1)      + vn(ji  ,jj-1,1) ) * zfr_l(ji,jj)  
+                     zitx1(ji,jj) = 0.25 * ( u_ice(ji+1,jj+1) + u_ice(ji,jj+1)                     &
+                        &                  + u_ice(ji+1,jj  ) + u_ice(ji,jj  )  ) *  fr_i(ji,jj)
+                     zity1(ji,jj) = 0.25 * ( v_ice(ji+1,jj+1) + v_ice(ji,jj+1)                     &
+                        &                  + v_ice(ji+1,jj  ) + v_ice(ji,jj  )  ) *  fr_i(ji,jj)
                   END DO
                END DO
@@ -1114,10 +1114,10 @@
                DO jj = 2, jpjm1
                   DO ji = fs_2, fs_jpim1   ! vector opt.
-                     zotx1(ji,jj) = 0.5  * ( un(ji,jj,1)         + un(ji-1,jj-1,1)   ) * zfr_l(ji,jj)  
-                     zoty1(ji,jj) = 0.5  * ( vn(ji,jj,1)         + vn(ji  ,jj-1,1)   ) * zfr_l(ji,jj)  
-                     zitx1(ji,jj) = 0.25 * ( utau_ice(ji-1,jj-1) + utau_ice(ji,jj-1)   &
-                        &                  + utau_ice(ji-1,jj  ) + utau_ice(ji,jj  ) ) * fr_i(ji,jj)
-                     zity1(ji,jj) = 0.25 * ( vtau_ice(ji-1,jj-1) + vtau_ice(ji,jj-1)   &
-                        &                  + vtau_ice(ji-1,jj  ) + vtau_ice(ji,jj  ) ) * fr_i(ji,jj)
+                     zotx1(ji,jj) = 0.5  * ( un(ji,jj,1)      + un(ji-1,jj-1,1) ) * zfr_l(ji,jj)  
+                     zoty1(ji,jj) = 0.5  * ( vn(ji,jj,1)      + vn(ji  ,jj-1,1) ) * zfr_l(ji,jj)  
+                     zitx1(ji,jj) = 0.25 * ( u_ice(ji-1,jj-1) + u_ice(ji,jj-1)                     &
+                        &                  + u_ice(ji-1,jj  ) + u_ice(ji,jj  )  ) *  fr_i(ji,jj)
+                     zity1(ji,jj) = 0.25 * ( v_ice(ji-1,jj-1) + v_ice(ji,jj-1)                     &
+                        &                  + v_ice(ji-1,jj  ) + v_ice(ji,jj  )  ) *  fr_i(ji,jj)
                   END DO
                END DO
@@ -1129,8 +1129,8 @@
                DO jj = 2, jpjm1
                   DO ji = fs_2, fs_jpim1   ! vector opt.
-                     zotx1(ji,jj) = 0.5 * ( un      (ji,jj,1) + un      (ji-1,jj  ,1) ) * zfr_l(ji,jj) &
-                        &         + 0.5 * ( utau_ice(ji,jj  ) + utau_ice(ji-1,jj    ) ) *  fr_i(ji,jj)
-                     zoty1(ji,jj) = 0.5 * ( vn      (ji,jj,1) + vn      (ji  ,jj-1,1) ) * zfr_l(ji,jj) &
-                        &         + 0.5 * ( vtau_ice(ji,jj  ) + vtau_ice(ji  ,jj-1  ) ) *  fr_i(ji,jj)
+                     zotx1(ji,jj) = 0.5 * ( un   (ji,jj,1) + un   (ji-1,jj  ,1) ) * zfr_l(ji,jj)   &
+                        &         + 0.5 * ( u_ice(ji,jj  ) + u_ice(ji-1,jj    ) ) *  fr_i(ji,jj)
+                     zoty1(ji,jj) = 0.5 * ( vn   (ji,jj,1) + vn   (ji  ,jj-1,1) ) * zfr_l(ji,jj)   &
+                        &         + 0.5 * ( v_ice(ji,jj  ) + v_ice(ji  ,jj-1  ) ) *  fr_i(ji,jj)
                   END DO
                END DO
@@ -1138,10 +1138,10 @@
                DO jj = 2, jpjm1
                   DO ji = fs_2, fs_jpim1   ! vector opt.
-                     zotx1(ji,jj) = 0.5  * ( un(ji,jj,1)         + un(ji-1,jj-1,1)   ) * zfr_l(ji,jj) &   
-                        &         + 0.25 * ( utau_ice(ji+1,jj+1) + utau_ice(ji,jj+1)   &
-                        &                  + utau_ice(ji+1,jj  ) + utau_ice(ji,jj  ) ) *  fr_i(ji,jj)
-                     zoty1(ji,jj) = 0.5  * ( vn(ji,jj,1)         + vn(ji  ,jj-1,1)   ) * zfr_l(ji,jj) & 
-                        &         + 0.25 * ( vtau_ice(ji+1,jj+1) + vtau_ice(ji,jj+1)   &
-                        &                  + vtau_ice(ji+1,jj  ) + vtau_ice(ji,jj  ) ) *  fr_i(ji,jj)
+                     zotx1(ji,jj) = 0.5  * ( un(ji,jj,1)      + un(ji-1,jj-1,1) ) * zfr_l(ji,jj)   &   
+                        &         + 0.25 * ( u_ice(ji+1,jj+1) + u_ice(ji,jj+1)                     &
+                        &                  + u_ice(ji+1,jj  ) + u_ice(ji,jj  )  ) *  fr_i(ji,jj)
+                     zoty1(ji,jj) = 0.5  * ( vn(ji,jj,1)      + vn(ji  ,jj-1,1) ) * zfr_l(ji,jj)   & 
+                        &         + 0.25 * ( v_ice(ji+1,jj+1) + v_ice(ji,jj+1)                     &
+                        &                  + v_ice(ji+1,jj  ) + v_ice(ji,jj  )  ) *  fr_i(ji,jj)
                   END DO
                END DO
@@ -1149,10 +1149,10 @@
                DO jj = 2, jpjm1
                   DO ji = fs_2, fs_jpim1   ! vector opt.
-                     zotx1(ji,jj) = 0.5  * ( un(ji,jj,1)         + un(ji-1,jj-1,1)   ) * zfr_l(ji,jj) &   
-                        &         + 0.25 * ( utau_ice(ji-1,jj-1) + utau_ice(ji,jj-1)   &
-                        &                  + utau_ice(ji-1,jj  ) + utau_ice(ji,jj  ) ) *  fr_i(ji,jj)
-                     zoty1(ji,jj) = 0.5  * ( vn(ji,jj,1)         + vn(ji  ,jj-1,1)   ) * zfr_l(ji,jj) & 
-                        &         + 0.25 * ( vtau_ice(ji-1,jj-1) + vtau_ice(ji,jj-1)   &
-                        &                  + vtau_ice(ji-1,jj  ) + vtau_ice(ji,jj  ) ) *  fr_i(ji,jj)
+                     zotx1(ji,jj) = 0.5  * ( un(ji,jj,1)      + un(ji-1,jj-1,1) ) * zfr_l(ji,jj)   &   
+                        &         + 0.25 * ( u_ice(ji-1,jj-1) + u_ice(ji,jj-1)                     &
+                        &                  + u_ice(ji-1,jj  ) + u_ice(ji,jj  )  ) *  fr_i(ji,jj)
+                     zoty1(ji,jj) = 0.5  * ( vn(ji,jj,1)      + vn(ji  ,jj-1,1) ) * zfr_l(ji,jj)   & 
+                        &         + 0.25 * ( v_ice(ji-1,jj-1) + v_ice(ji,jj-1)                     &
+                        &                  + v_ice(ji-1,jj  ) + v_ice(ji,jj  )  ) *  fr_i(ji,jj)
                   END DO
                END DO