Index: branches/libIGCM/ORCA2_LIM/IGCM00/PARAM/namelist
===================================================================
--- branches/libIGCM/ORCA2_LIM/IGCM00/PARAM/namelist	(revision 1342)
+++ branches/libIGCM/ORCA2_LIM/IGCM00/PARAM/namelist	(revision 1477)
@@ -8,5 +8,5 @@
 !!              6 - Tracer           (nameos, nam_traadv, nam_traldf, namtdp)
 !!              7 - dynamics         (nam_dynadv, nam_dynvor, nam_dynhpg, namflg, nam_dynspg, nam_dynldf)
-!!              8 - Verical physics  (namzdf, namnpc, namric, namtke, namkpp, namddm)
+!!              8 - Verical physics  (namzdf, namnpc, namric, namtke, namkpp, namddm, namtmx)
 !!              9 - diagnostics      (namtrd, namgap, namspr, namflo, namptr)
 !!              9 - miscellaneous    (namsol, nam_mpp, nam_mpp_dyndist, namctl)
@@ -35,5 +35,5 @@
    ndate0      =  010101   !  initial calendar date yymmdd (used if nrstdt=1)
    nleapy      =       0   !  Leap year calendar (1) or not (0)
-   ninist      =       1   !  output the initial state (1) or not (0)
+   ninist      =       0   !  output the initial state (1) or not (0)
    nstock      =    5475   !  frequency of creation of a restart file (modulo referenced to 1)
    nwrite      =    5475   !  frequency of write in the output file   (modulo referenced to nit000)
@@ -64,4 +64,7 @@
    thetb       =    0.75   !  bottom control parameter  (0<=thetb<= 1)
    r_max       =    0.15   !  maximum cut-off r-value allowed (0<r_max<1)
+   ln_s_sigma  = .false.   !  hybrid s-sigma coordinates
+   bb          =    0.8    !  stretching with s-sigma
+   hc          =  150.0    !  critical depth with s-sigma 
 /
 !-----------------------------------------------------------------------
@@ -204,8 +207,18 @@
 &namqsr        !   penetrative solar radiation
 !-----------------------------------------------------------------------
-   ln_traqsr   = .true.    !  penetrative solar radiation (T) or not (F)
-   rabs        =   0.58    !  fraction of qsr associated with xsi1
-   xsi1        =   0.35    !  first depth of extinction
-   xsi2        =   23.0    !  second depth of extinction
+!              !     file name      ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or ! weights  ! rotation !
+!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  ! filename ! pairing  !
+   sn_chl    =   'chlorophyll'      ,        -1.        , 'CHLA'     ,    .true.      , .true.  ,   'yearly'  , ''       , ''
+!
+   cn_dir      = './'      !  root directory for the location of the runoff files
+   ln_traqsr   = .true.    !  Light penetration (T) or not (F)
+   ln_qsr_rgb  = .true.   !  RGB (Red-Green-Blue) light penetration
+   ln_qsr_2bd  = .false.   !  2 bands              light penetration
+   ln_qsr_bio  = .false.   !  bio-model light penetration
+   nn_chldta   =      0    !  RGB : Chl data (=1) or cst value (=0)
+   rn_abs      =   0.58    !  RGB & 2 bands: fraction of light (rn_si1)
+   rn_si0      =   0.35    !  RGB & 2 bands: shortess depth of extinction
+   rn_si1      =   23.0    !  2 bands: longest depth of extinction
+   rn_si2      =   62.0    !  3 bands: longest depth of extinction (for blue waveband & 0.01 mg/m2 Chl)
 /
 !-----------------------------------------------------------------------
@@ -493,4 +506,5 @@
 !!       namkpp        KPP dependent vertical mixing                    ("key_zdfkpp"      )
 !!       namddm        double diffusive mixing parameterization         ("key_zdfddm"      )
+!!       namtmx        tidal mixing parameterization                    ("key_zdftmx"      )
 !!======================================================================
 
@@ -574,4 +588,13 @@
       hsbfr    = 1.6       !  heat/salt buoyancy flux ratio
 /
+!-----------------------------------------------------------------------
+&namtmx        !   tidal mixing parameterization                             ("key_zdftmx")
+!-----------------------------------------------------------------------
+      rn_htmx    = 500.      !  vertical decay scale for turbulence (meters)
+      rn_n2min   = 1.e-8     !  threshold of the Brunt-Vaisala frequency (s-1)
+      rn_tfe     = 0.333     !  tidal dissipation efficiency 
+      rn_tfe_itf = 1.        !  ITF tidal dissipation efficiency 
+      rn_me      = 0.2       !  mixing efficiency
+/
 !!======================================================================
 !!                  ***  Miscelaneous namelists  ***