Index: trunk/CONFIG/ORCA2_LIM/EXP00/iodef.xml
===================================================================
--- trunk/CONFIG/ORCA2_LIM/EXP00/iodef.xml	(revision 1451)
+++ trunk/CONFIG/ORCA2_LIM/EXP00/iodef.xml	(revision 1482)
@@ -1,189 +1,212 @@
 <?xml version="1.0"?>
 
-<simulation>
-
-<context id="nemo"> 
-
-<!-- groups of variables definition -->
-
-  <field_definition level="1" prec="4" operation="ave(X)" freq_op="5760" enabled=".TRUE.">
-    
-     <group id="grid_T" axis_ref="none" grid_ref="grid_T">  
-       <field id="votemper" description="Temperature"                       unit="C"    axis_ref="deptht" />
-       <field id="vosaline" description="Salinity"                          unit="PSU"  axis_ref="deptht" />
-       <field id="sosstsst" description="Sea Surface temperature"           unit="C"   />
-       <field id="sosaline" description="Sea Surface Salinity"              unit="PSU"  />
-       <field id="sobarstf" description="Barotropic StreamFunction"         unit="m3/s2"  />
-       <field id="sossheig" description="Sea Surface Height"                unit="m"  />
-       <field id="sowaflup" description="Net Upward Water Flux"             unit="Kg/m2/s"   />
-       <field id="sowaflcd" description="concentration/dilution water flux" unit="Kg/m2/s"   />
-       <field id="sosalflx" description="Surface Salt Flux"                 unit="Kg/m2/s"   />
-       <field id="sohefldo" description="Net Downward Heat Flux"            unit="W/m2"   />
-       <field id="soshfldo" description="Shortwave Radiation"               unit="W/m2"   />
-       <field id="somxl010" description="Mixed Layer Depth 0.01"            unit="m"  />
-       <field id="somixhgt" description="Turbocline Depth"                  unit="m"   />
-       <field id="soicecov" description="Ice fraction"                      unit="[0,1]"   />
-       <field id="sohefldp" description="Surface Heat Flux: Damping"        unit="W/m2"      enabled=".FALSE."/>
-       <field id="sowafldp" description="Surface Water Flux: Damping"       unit="Kg/m2/s"   enabled=".FALSE."/>
-       <field id="sosafldp" description="Surface salt flux: Damping"        unit="Kg/m2/s"   enabled=".FALSE."/>
-       <field id="sosurfps" description="Surface Pressure"                  unit="cm"   />
-       <field id="sobowlin" description="Bowl Index"                        unit="W-point"  />
-       <field id="sothedep" description="Thermocline Depth"                 unit="m"   />
-       <field id="so20chgt" description="Depth of 20C isotherm"             unit="m"  />
-       <field id="so28chgt" description="Depth of 28C isotherm"             unit="m"   />
-       <field id="sohtc300" description="Heat content 300 m"                unit="W" />
-       <field id="soicetem" description="Ice Surface Temperature"           unit="K"         enabled=".FALSE."/>
-       <field id="soicealb" description="Ice Albedo"                        unit="[0,1]"     enabled=".FALSE."/>
+<simulation> 
+  
+  <context id="nemo">
+    
+    <!-- groups of variables definition -->
+    
+    <field_definition level="1" prec="4" operation="ave(X)" freq_op="5760" enabled=".TRUE.">
+
+      <!-- T grid -->
+      
+      <group id="grid_T" axis_ref="none" grid_ref="grid_T">
+	<field id="toce"         description="temperature"                       unit="C"    axis_ref="deptht"   />
+       	<field id="soce"         description="salinity"                          unit="psu"  axis_ref="deptht"   />
+	<field id="sst"          description="sea surface temperature"           unit="C"                        />
+	<field id="sss"          description="sea surface salinity"              unit="psu"                      />
+	<field id="ssh"          description="sea surface height"                unit="m"                        />
+	<field id="mld010"       description="Mixed Layer Depth 0.01"            unit="m"                        />
+	<field id="mldturb"      description="mixing layer depth (Turbocline)"   unit="m"                        />
+	<field id="bowl"         description="Bowl Index"                        unit="W-point"                  />
+	<!-- next variables available with key_diahth -->
+	<field id="thermod"      description="Thermocline Depth"                 unit="m"                        />
+        <field id="20d"          description="Depth of 20C isotherm"             unit="m"                        />
+	<field id="28d"          description="Depth of 28C isotherm"             unit="m"                        />
+	<field id="hc300"        description="Heat content 300 m"                unit="W"                        />
      </group>
-       
-     <group id="grid_U"  axis_ref="none" grid_ref="grid_U">
-       <field id="vozocrtx" description="Zonal Current"                   unit="m/s"  axis_ref="depthu" />
-       <field id="vozoeivu" description="Zonal EIV Current"               unit="m/s"  axis_ref="depthu" />
-       <field id="sozotaux" description="Wind Stress along i-axis"        unit="N/m2"    />
-       <field id="sozospgx" description="Zonal Surface Pressure Gradient" unit="N/kg"  />
-     </group>
-     
-     <group id="grid_V"  axis_ref="none" grid_ref="grid_V">
-       <field id="vomecrty" description="Meridional Current"                unit="m/s"  axis_ref="depthv" />
-       <field id="vomeeivv" description="Meridional EIV Current"            unit="m/s"  axis_ref="depthv" />
-       <field id="sometauy" description="Wind Stress along j-axis"          unit="N/m2"  />
-       <field id="somespgy" description="Meridional Surface Pressure Grad." unit="N/kg"  />
-     </group>
-     
-     <group id="grid_W"  axis_ref="depthw" grid_ref="grid_W">
-       <field id="vovecrtz" description="Vertical Velocity"                   unit="m/s"   />
-       <field id="voveeivw" description="Vertical EIV Velocity"               unit="m/s"   />
-       <field id="votkeavt" description="Vertical Eddy Diffusivity"           unit="m2/s"  />
-       <field id="votkeevd" description="Enhanced Vertical Diffusivity"       unit="m2/s"  />
-       <field id="votkeavm" description="Vertical Eddy Viscosity"             unit="m2/s"  />
-       <field id="votkeevm" description="Enhanced Vertical Viscosity"         unit="m2/s"  />
-       <field id="voddmavs" description="Salt Vertical Eddy Diffusivity"      unit="m2/s" enabled=".FALSE." />
-       <field id="soleahtw" description="lateral eddy diffusivity"            unit="m2/s" axis_ref="none"  />
-       <field id="soleaeiw" description="eddy induced vel. coeff. at w-point" unit="m2/s" axis_ref="none"/>
-     </group>
-
-     <group id="icemod" axis_ref="none" grid_ref="grid_T" freq_op="28800">  
-       <field id="isnowthi" description="Snow thickness"                      unit="m"        />
-       <field id="iicethic" description="Ice thickness"                       unit="m"        />
-       <field id="iiceprod" description="Ice produced"                        unit="m/kt"     />
-       <field id="ileadfra" description="Ice concentration"                   unit="%"        />
-       <field id="iicetemp" description="Ice temperature"                     unit="C"        />
-       <field id="ioceflxb" description="Oceanic flux at the ice base"        unit="w/m2"     />
-       <field id="iicevelu" description="Ice velocity u"                      unit="m/s"      />
-       <field id="iicevelv" description="Ice velocity v"                      unit="m/s"      />
-       <field id="isstempe" description="Sea surface temperature"             unit="C"        />
-       <field id="isssalin" description="Sea surface salinity"                unit="PSU"      />
-       <field id="iocetflx" description="Total flux at ocean surface"         unit="w/m2"     />
-       <field id="iocesflx" description="Solar flux at ocean surface"         unit="w/m2"     />
-       <field id="iocwnsfl" description="Non-solar flux at ocean surface"     unit="w/m2"     />
-       <field id="iocesafl" description="Salt flux at ocean surface"          unit="kg/m2/kt" />
-       <field id="iocestru" description="Wind stress u"                       unit="Pa"       />
-       <field id="iocestrv" description="Wind stress v"                       unit="Pa"       />
-       <field id="iicesflx" description="Solar flux at ice/ocean surface"     unit="w/m2"     />
-       <field id="iicenflx" description="Non-solar flux at ice/ocean surface" unit="w/m2"     />
-       <field id="isnowpre" description="Snow precipitation"                  unit="kg/day"   />
-     </group>
-
-  </field_definition>
-
-<!-- file definition -->
-
-  <file_definition output_level="10" enabled=".TRUE.">
-
-     <file id="ORCA2_5d_grid_T" description="ocean T grid variables" output_freq="432000" output_level="5" >
-       <field ref="votemper"  />
-       <field ref="vosaline"  />
-       <field ref="sosstsst"  />
-       <field ref="sosaline"  />
-       <field ref="sobarstf"  />
-       <field ref="sossheig"  />
-       <field ref="sowaflup"  />
-       <field ref="sosalflx"  />
-       <field ref="soshfldo"  />
-       <field ref="sowaflcd"  />
-       <field ref="sohefldo"  />
-       <field ref="somxl010"  />
-       <field ref="somixhgt"  />
-       <field ref="soicecov"  />
-       <field ref="sohefldp"  />
-       <field ref="sowafldp"  />
-       <field ref="sosafldp"  />
-       <field ref="sosurfps"  />
-       <field ref="sobowlin"  />
-       <field ref="sothedep"  />
-       <field ref="so20chgt"  />
-       <field ref="so28chgt"  />
-       <field ref="sohtc300"  />
-       <field ref="soicetem"  />
-       <field ref="soicealb"  />   
-    </file>
-   
-    <file id="ORCA2_5d_grid_U" description="ocean U grid variables" output_freq="432000" level="5" >
-       <field ref="vozocrtx"  />
-       <field ref="vozoeivu"  />
-       <field ref="sozotaux"  />
-       <field ref="sozospgx"  />
-    </file>
+
+      <!-- SBC -->
+      
+      <group id="SBC" axis_ref="none" grid_ref="grid_T" freq_op="28800">
+
+	<field id="emp"          description="Net Upward Water Flux"                                        unit="kg/m2/s"  />
+	<field id="emps"         description="concentration/dilution water flux"                            unit="kg/m2/s"  />
+	<field id="snowpre"      description="Snow precipitation"                                           unit="kg/m2/s"  />
+	<field id="runoffs"      description="River Runoffs"                                                unit="Kg/m2/s"  />
+
+	<field id="qns+qsr"      description="Net Downward Heat Flux"                                       unit="W/m2"     />
+	<field id="qns"          description="non solar Downward Heat Flux"                                 unit="W/m2"     />
+	<field id="qsr"          description="Shortwave Radiation"                                          unit="W/m2"     />
+	<field id="qrp"          description="Surface Heat Flux: Damping"                                   unit="W/m2"     />
+	<field id="erp"          description="Surface Water Flux: Damping"                                  unit="Kg/m2/s"  />
+	
+	<!-- *_oce variables available with ln_blk_clio or ln_blk_core -->
+	<field id="qns_oce"      description="Non solar Downward Heat Flux over open ocean"                 unit="W/m2"     />
+	<field id="qlw_oce"      description="Longwave Downward Heat Flux over open ocean"                  unit="W/m2"     />
+	<field id="qsb_oce"      description="Sensible Downward Heat Flux over open ocean"                  unit="W/m2"     />
+	<field id="qla_oce"      description="Latent Downward Heat Flux over open ocean"                    unit="W/m2"     />
+
+	<field id="ice_cover"    description="Ice fraction"                                                 unit="-"        />
+
+	<field id="ioceflxb"     description="Oceanic flux at the ice base"                                 unit="W/m2"     />
+	<field id="qsr_ai_cea"   description="Air-Ice downward solar heat flux (cell average)"              unit="W/m2"     />
+	<field id="qns_ai_cea"   description="Air-Ice downward non-solar heat flux (cell average)"          unit="W/m2"     />
+	<field id="qla_ai_cea"   description="Air-Ice downward Latent heat flux (cell average)"             unit="W/m2"     />
+	
+	<field id="qsr_io_cea"   description="Ice-Oce downward solar heat flux (cell average)"              unit="W/m2"     />
+	<field id="qns_io_cea"   description="Ice-Oce downward non-solar heat flux (cell average)"          unit="W/m2"     />
+	
+	<field id="snowthic_cea" description="Snow thickness (cell average)"                                unit="m"        />
+	<field id="icethic_cea"  description="Ice thickness (cell average)"                                 unit="m"        />
+	<field id="iceprod_cea"  description="Ice production (cell average)"                                unit="m/s"      />
+	
+	<field id="ice_pres"     description="Ice presence"                                                 unit="-"        />
+	<field id="ist_ipa"      description="Ice surface temperature (ice presence average)"               unit="Celius"   />      
+	<field id="uice_ipa"     description="Ice velocity along i-axis at I-point (ice presence average)"  unit="m/s"      />      
+	<field id="vice_ipa"     description="Ice velocity along j-axis at I-point (ice presence average)"  unit="m/s"      />      
+	
+	<field id="utau_ice"     description="Wind stress along i-axis over the ice at i-point"             unit="N/m2"     />
+	<field id="vtau_ice"     description="Wind stress along j-axis over the ice at i-point"             unit="N/m2"     />
+	
+	<!-- icealb_cea: available key_coupled -->
+	<field id="icealb_cea"   description="Ice albedo (cell average)"                                    unit="-"        />
+      </group>
+
+      <!-- U grid -->
+      
+      <group id="grid_U"  axis_ref="depthu" grid_ref="grid_U">
+	<field id="utau"        description="Wind Stress along i-axis"                  unit="N/m2" axis_ref="none" />
+	<field id="uoce"        description="ocean current along i-axis"                unit="m/s"                  />
+	<field id="uoce_eff"    description="Effective ocean current along i-axis"      unit="m/s"                  />
+	<!-- uoce_eiv: available with key_traldf_eiv and key_diaeiv -->
+	<field id="uoce_eiv"    description="EIV ocean current along i-axis"            unit="m/s"                  />
+	<!-- uoce_eiv: available with key_trabbl_adv -->
+	<field id="uoce_bbl"    description="BBL ocean current along i-axis"            unit="m/s"                  />
+      </group>
+      
+      <!-- V grid -->
+      
+      <group id="grid_V"  axis_ref="depthv" grid_ref="grid_V">
+	<field id="vtau"        description="Wind Stress along j-axis"                  unit="N/m2" axis_ref="none" />
+	<field id="voce"        description="ocean current along j-axis"                unit="m/s"                  />
+	<field id="voce_eff"    description="Effective ocean current along j-axis"      unit="m/s"                  />
+	<!-- voce_eiv: available with key_traldf_eiv and key_diaeiv -->
+	<field id="voce_eiv"    description="EIV ocean current along j-axis"            unit="m/s"                  />
+	<!-- voce_eiv: available with key_trabbl_adv -->
+	<field id="voce_bbl"    description="BBL ocean current along j-axis"            unit="m/s"                  />
+      </group>
+      
+      <!-- W grid -->
+      
+      <group id="grid_W"  axis_ref="depthw" grid_ref="grid_W">
+	<field id="woce"        description="ocean vertical velocity"                   unit="m/s"                  />
+	<field id="woce_eff"    description="effective ocean vertical velocity"         unit="m/s"                  />
+	<!-- woce_eiv: available with key_traldf_eiv and key_diaeiv -->
+	<field id="woce_eiv"    description="EIV ocean vertical velocity"               unit="m/s"                  />
+	<!-- woce_eiv: available with key_trabbl_adv -->
+	<field id="woce_bbl"    description="BBL ocean vertical velocity"               unit="m/s"                  />
+	
+	<field id="avt"         description="vertical eddy diffusivity"                 unit="m2/s"                 />
+	<field id="avm"         description="vertical eddy viscosity"                   unit="m2/s"                 />
+	<!-- avs: available with key_zdfddm -->
+	<field id="avs"         description="salt vertical eddy diffusivity"            unit="m2/s"                 />
+	<!-- avt_evd and avm_evd: available with ln_zdfevd -->
+	<field id="avt_evd"     description="enhanced vertical diffusivity"             unit="m2/s"                 />
+	<field id="avm_evd"     description="enhanced vertical viscosity"               unit="m2/s"                 />
+	<!-- aht2d and  aht2d_eiv: available with key_traldf_eiv and key_traldf_c2d -->
+	<field id="aht2d"       description="lateral eddy diffusivity"                unit="m2/s" axis_ref="none" />
+	<field id="aht2d_eiv"   description="EIV lateral eddy diffusivity"            unit="m2/s" axis_ref="none" />
+      </group>
+      
+      
+    </field_definition>
+    
+    <!-- file definition -->
+    
+    <file_definition output_level="10" enabled=".TRUE.">
+      <file id="ORCA2_5d_grid_T" description="ocean T grid variables" output_freq="432000" output_level="5" >
+	<field ref="toce"         name="votemper"  />
+	<field ref="soce"         name="vosaline"  />
+	<field ref="sst"          name="sosstsst"  />
+	<field ref="sss"          name="sosaline"  />
+	<field ref="ssh"          name="sossheig"  />
+	<field ref="emp"          name="sowaflup"  />
+	<field ref="qsr"          name="soshfldo"  />
+	<field ref="emps"         name="sowaflcd"  />
+	<field ref="qns+qsr"      name="sohefldo"  />
+	<field ref="mld010"       name="somxl010"  />
+	<field ref="mldturb"      name="somixhgt"  />
+	<field ref="ice_cover"    name="soicecov"  />
+	<field ref="qrp"          name="sohefldp"  />
+	<field ref="erp"          name="sowafldp"  />
+	<field ref="bowl"         name="sobowlin"  />
+	<field ref="thermod"      name="sothedep"  />
+	<field ref="20d"          name="so20chgt"  />
+	<field ref="28d"          name="so28chgt"  />
+	<field ref="hc300"        name="sohtc300"  />
+	<field ref="ist_ipa"      name="soicetem"  />
+	<field ref="icealb_cea"   name="soicealb"  />   
+      </file>
+      
+      <file id="ORCA2_5d_grid_U" description="ocean U grid variables" output_freq="432000" level="5" >
+	<field ref="uoce"         name="vozocrtx"  />
+	<field ref="uoce_eiv"     name="vozoeivu"  />
+	<field ref="utau"         name="sozotaux"  />
+      </file>
+      
+      <file id="ORCA2_5d_grid_V" description="ocean V grid variables" output_freq="432000" level="5" >
+	<field ref="voce"         name="vomecrty"  />
+	<field ref="voce_eiv"     name="vomeeivv"  />
+	<field ref="vtau"         name="sometauy"  />
+      </file>
+      
+      <file id="ORCA2_5d_grid_W" description="ocean W grid variables" output_freq="432000" level="5" >
+	<field ref="woce"         name="vovecrtz" />
+	<field ref="woce_eiv"     name="voveeivw" />
+	<field ref="avt"          name="votkeavt" />
+	<field ref="avt_evd"      name="votkeevd" />
+	<field ref="avm"          name="votkeavm" />
+	<field ref="avm_evd"      name="votkeevm" />
+	<field ref="avs"          name="voddmavs" />
+	<field ref="aht2d"        name="soleahtw" />
+	<field ref="aht2d_eiv"    name="soleaeiw" />
+      </file>
+      
+      <file id="ORCA2_5d_icemod" description="ice variables" output_freq="432000" level="5" >
+	<field ref="ice_pres"                     />
+	<field ref="snowthic_cea" name="isnowthi" />
+	<field ref="icethic_cea"  name="iicethic" />
+	<field ref="iceprod_cea"  name="iiceprod" />
+	<field ref="ist_ipa"      name="iicetemp" />
+	<field ref="ioceflxb"     name="ioceflxb" />
+	<field ref="uice_ipa"     name="iicevelu" />
+	<field ref="vice_ipa"     name="iicevelv" />
+	<field ref="utau_ice"     name="iicestru" />
+	<field ref="vtau_ice"     name="iicestrv" />
+	<field ref="qsr_io_cea"   name="iicesflx" />
+	<field ref="qns_io_cea"   name="iicenflx" />
+	<field ref="snowpre"      name="isnowpre" />
+      </file>
+      
+    </file_definition>
+    
+    
+    <axis_definition>  
+      <axis id="deptht" description="Vertical T levels" unit="m" />
+      <axis id="depthu" description="Vertical U levels" unit="m" />
+      <axis id="depthv" description="Vertical V levels" unit="m" />
+      <axis id="depthw" description="Vertical W levels" unit="m" />
+      <axis id="none" description="axe non defini" unit="none" size="1" />
+    </axis_definition> 
+    
+    <grid_definition>
+      <grid id="grid_T" description="grid T" />
+      <grid id="grid_U" description="grid U" />
+      <grid id="grid_V" description="grid V" />
+      <grid id="grid_W" description="grid W" />
+    </grid_definition>    
+    
+  </context>
   
-    <file id="ORCA2_5d_grid_V" description="ocean V grid variables" output_freq="432000" level="5" >
-       <field ref="vomecrty"  />
-       <field ref="vomeeivv"  />
-       <field ref="sometauy"  />
-       <field ref="somespgy"  />
-    </file>
- 
-    <file id="ORCA2_5d_grid_W" description="ocean W grid variables" output_freq="432000" level="5" >
-       <field ref="vovecrtz" />
-       <field ref="voveeivw" />
-       <field ref="votkeavt" />
-       <field ref="votkeevd" />
-       <field ref="votkeavm" />
-       <field ref="votkeevm" />
-       <field ref="voddmavs" />
-       <field ref="soleahtw" />
-       <field ref="soleaeiw" />
-    </file>
-  
-    <file id="ORCA2_5d_icemod" description="ice variables" output_freq="432000" level="5" >
-       <field ref="isnowthi" />
-       <field ref="iicethic" />
-       <field ref="iiceprod" />
-       <field ref="ileadfra" />
-       <field ref="iicetemp" />
-       <field ref="ioceflxb" />
-       <field ref="iicevelu" />
-       <field ref="iicevelv" />
-       <field ref="isstempe" />
-       <field ref="isssalin" />
-       <field ref="iocetflx" />
-       <field ref="iocesflx" />
-       <field ref="iocwnsfl" />
-       <field ref="iocesafl" />
-       <field ref="iocestru" />
-       <field ref="iocestrv" />
-       <field ref="iicesflx" />
-       <field ref="iicenflx" />
-       <field ref="isnowpre" />
-    </file>
-  
-  </file_definition>
-
-
-  <axis_definition>  
-     <axis id="deptht" description="Vertical T levels" unit="m" />
-     <axis id="depthu" description="Vertical U levels" unit="m" />
-     <axis id="depthv" description="Vertical V levels" unit="m" />
-     <axis id="depthw" description="Vertical W levels" unit="m" />
-     <axis id="none" description="axe non defini" unit="none" size="1" />
-  </axis_definition> 
-
-  <grid_definition>
-    <grid id="grid_T" description="grid T" />
-    <grid id="grid_U" description="grid U" />
-    <grid id="grid_V" description="grid V" />
-    <grid id="grid_W" description="grid W" />
-  </grid_definition>    
-
-</context>
-
 </simulation>